Redirect to service
POST
{{server}}/api/v1/counter/redirect/serviceThis endpoint redirects the ticket to a selected service which can't be managed by the current clerk.
Request
-
ticket(string, required): The called ticketkey. -
tasks(string[], required): Thekeyof the tasks under transaction. -
service(string, required): Target service key -
wasRealTransaction(boolean): Is it was a real transaction? -
afterwork(boolean): If the afterwork is enabled for the current service, the clerk can decide whether want to afterwork on the ticket or not. -
closingCodes(string|string[]): Optional one or more closing code keys
There is no response if it was successful.
Request
Authorization
| Header | Value |
|---|---|
Authorization | Bearer {{counterToken}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{counterWsID}} |
Body (json)
{
"ticket": "{{ticketKey}}",
"tasks": [
"{{ticketTaskKey}}"
],
"service": "00000000-0000-4000-0007-000000000006",
"wasRealTransaction": true,
"closingCodes": null,
"afterwork": false
}
Code snippets
- cURL
- JavaScript
- Python
curl -X POST '{{server}}/api/v1/counter/redirect/service' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}' \
-H 'Content-Type: application/json' \
-d '{
"ticket": "{{ticketKey}}",
"tasks": [
"{{ticketTaskKey}}"
],
"service": "00000000-0000-4000-0007-000000000006",
"wasRealTransaction": true,
"closingCodes": null,
"afterwork": false
}'
const response = await fetch("{{server}}/api/v1/counter/redirect/service", {
method: "POST",
headers: {
"Accept": "application/json",
"X-WSID": "{{counterWsID}}",
"Authorization": "Bearer {{counterToken}}",
"Content-Type": "application/json"
},
body: JSON.stringify({
"ticket": "{{ticketKey}}",
"tasks": [
"{{ticketTaskKey}}"
],
"service": "00000000-0000-4000-0007-000000000006",
"wasRealTransaction": true,
"closingCodes": null,
"afterwork": false
}),
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/counter/redirect/service"
headers = {
"Accept": "application/json",
"X-WSID": "{{counterWsID}}",
"Authorization": "Bearer {{counterToken}}",
"Content-Type": "application/json"
}
payload = {
"ticket": "{{ticketKey}}",
"tasks": [
"{{ticketTaskKey}}"
],
"service": "00000000-0000-4000-0007-000000000006",
"wasRealTransaction": True,
"closingCodes": None,
"afterwork": False
}
response = requests.post(url, headers=headers, json=payload)
print(response.status_code)
print(response.json())
Example
Example request
POST
{{server}}/api/v1/counter/redirect/serviceHeaders (2)
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{counterWsID}} |
Body
{
"ticket": "1906d4ba-ccac-4a1f-d8f9-a63962d6879a",
"tasks": [
"1906d4ba-cc9b-454b-75ab-abc57971fc21"
],
"service": "00000000-0000-4000-0007-000000000006",
"wasRealTransaction": true,
"closingCodes": null,
"afterwork": false
}
Example response 204 No Content
No response body